import argparse

from taitale.utils import CliArgs
from taitale.utils.wrapper import cli_app


def msconcat_arguments():
    parser = argparse.ArgumentParser()
    parser.add_argument("-o", "--output-file")

    parser.add_argument("positional", nargs="+")
    return parser


def msconcat(**kwargs):
    parser = msconcat_arguments()
    cli_args = CliArgs(parser=parser)
    msconcat_app = cli_app(
        name="msconcat",
        cmd="msconcat {option}",
        cli_args=cli_args,
    )

    msconcat_app(**kwargs)
